play.libs.ws

## Class WSUrlFetch.WSUrlfetchRequest

- java.lang.Object
- - play.libs.WS.WSRequest
  - - play.libs.ws.WSUrlFetch.WSUrlfetchRequest

Enclosing class:
  WSUrlFetch

    public class WSUrlFetch.WSUrlfetchRequest
    extends WS.WSRequest

### Field Summary

### Fields inherited from class play.libs.WS.WSRequest

`body, encoding, fileParams, followRedirects, headers, mimeType, oauthInfo, oauthSecret, oauthToken, parameters, password, scheme, timeout, url, username, virtualHost`

### Constructor Summary

Constructors
`protected` `WSUrlfetchRequest(java.lang.String url, java.lang.String encoding)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WS.HttpResponse` `delete()` Execute a DELETE request.
`WS.HttpResponse` `get()` Execute a GET request synchronously.
`WS.HttpResponse` `head()` Execute a HEAD request.
`WS.HttpResponse` `options()` Execute a OPTIONS request.
`WS.HttpResponse` `patch()` Execute a PATCH request.
`WS.HttpResponse` `post()` Execute a POST request.
`WS.HttpResponse` `put()` Execute a PUT request.
`WS.HttpResponse` `trace()` Execute a TRACE request.

### Methods inherited from class play.libs.WS.WSRequest

`authenticate, authenticate, basicAuthHeader, body, createQueryString, deleteAsync, encode, files, files, followRedirects, getAsync, headAsync, headers, mimeType, oauth, oauth, optionsAsync, params, patchAsync, postAsync, putAsync, setHeader, setParameter, setParameter, setParameters, timeout, traceAsync, withVirtualHost`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WSUrlfetchRequest

    protected WSUrlfetchRequest(java.lang.String url,
                                java.lang.String encoding)

### Method Detail

#### get

    public WS.HttpResponse get()

Execute a GET request synchronously.

Specified by:
  `get` in class `WS.WSRequest`
Returns:
  The HTTP response

#### patch

    public WS.HttpResponse patch()

Description copied from class: `WS.WSRequest`
Execute a PATCH request.

Specified by:
  `patch` in class `WS.WSRequest`
Returns:
  The HTTP response

#### post

    public WS.HttpResponse post()

Execute a POST request.

Specified by:
  `post` in class `WS.WSRequest`
Returns:
  The HTTP response

#### put

    public WS.HttpResponse put()

Execute a PUT request.

Specified by:
  `put` in class `WS.WSRequest`
Returns:
  The HTTP response

#### delete

    public WS.HttpResponse delete()

Execute a DELETE request.

Specified by:
  `delete` in class `WS.WSRequest`
Returns:
  The HTTP response

#### options

    public WS.HttpResponse options()

Execute a OPTIONS request.

Specified by:
  `options` in class `WS.WSRequest`
Returns:
  The HTTP response

#### head

    public WS.HttpResponse head()

Execute a HEAD request.

Specified by:
  `head` in class `WS.WSRequest`
Returns:
  The HTTP response

#### trace

    public WS.HttpResponse trace()

Execute a TRACE request.

Specified by:
  `trace` in class `WS.WSRequest`
Returns:
  The HTTP response